This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 979689 - [abrt] evolution-3.8.3-2.fc19: key_reservation_free: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.8.3-2.fc19: key_reservation_free: Process /usr/bin/evoluti...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
abrt_hash:001f9a1381257f9b59f41b3abc8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 08:07 EDT by Boricua
Modified: 2015-02-17 10:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:44:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (141.16 KB, text/plain)
2013-06-29 08:07 EDT, Boricua
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-29 08:07 EDT, Boricua
no flags Details
File: core_backtrace (2.25 KB, text/plain)
2013-06-29 08:07 EDT, Boricua
no flags Details
File: dso_list (25.60 KB, text/plain)
2013-06-29 08:07 EDT, Boricua
no flags Details
File: environ (1.48 KB, text/plain)
2013-06-29 08:07 EDT, Boricua
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-29 08:07 EDT, Boricua
no flags Details
File: maps (125.21 KB, text/plain)
2013-06-29 08:07 EDT, Boricua
no flags Details
File: open_fds (2.33 KB, text/plain)
2013-06-29 08:07 EDT, Boricua
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-06-29 08:07 EDT, Boricua
no flags Details
File: var_log_messages (16.44 KB, text/plain)
2013-06-29 08:07 EDT, Boricua
no flags Details

  None (edit)
Description Boricua 2013-06-29 08:07:18 EDT
Description of problem:
I launched Evolution and it crashed.

Version-Release number of selected component:
evolution-3.8.3-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        evolution
crash_function: key_reservation_free
executable:     /usr/bin/evolution
kernel:         3.9.6-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 key_reservation_free at camel-object-bag.c:85
 #3 object_bag_unreserve at camel-object-bag.c:103
 #4 camel_object_bag_add at camel-object-bag.c:447
 #5 camel_data_cache_add at camel-data-cache.c:399
 #6 imapx_server_get_message at camel-imapx-server.c:7375
 #7 camel_imapx_server_sync_message at camel-imapx-server.c:7445
 #8 imapx_synchronize_message_sync at camel-imapx-folder.c:1000
 #9 camel_folder_synchronize_message_sync at camel-folder.c:4351
 #10 offline_folder_downsync_background at camel-offline-folder.c:111
 #11 session_do_job_cb at camel-session.c:176
Comment 1 Boricua 2013-06-29 08:07:26 EDT
Created attachment 766873 [details]
File: backtrace
Comment 2 Boricua 2013-06-29 08:07:29 EDT
Created attachment 766875 [details]
File: cgroup
Comment 3 Boricua 2013-06-29 08:07:31 EDT
Created attachment 766876 [details]
File: core_backtrace
Comment 4 Boricua 2013-06-29 08:07:35 EDT
Created attachment 766878 [details]
File: dso_list
Comment 5 Boricua 2013-06-29 08:07:37 EDT
Created attachment 766879 [details]
File: environ
Comment 6 Boricua 2013-06-29 08:07:40 EDT
Created attachment 766880 [details]
File: limits
Comment 7 Boricua 2013-06-29 08:07:45 EDT
Created attachment 766881 [details]
File: maps
Comment 8 Boricua 2013-06-29 08:07:48 EDT
Created attachment 766882 [details]
File: open_fds
Comment 9 Boricua 2013-06-29 08:07:51 EDT
Created attachment 766883 [details]
File: proc_pid_status
Comment 10 Boricua 2013-06-29 08:07:54 EDT
Created attachment 766884 [details]
File: var_log_messages
Comment 11 Milan Crha 2013-07-01 05:02:00 EDT
Thanks for a bug report. I added a note to an upstream bug report [1], which can be related, because it added changes to this code recently. Does it crash for you each start, now? The only thing I see from the backtrace is that one of your folders is downloading content for offline use.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=699909
Comment 12 Boricua 2013-07-01 14:04:39 EDT
Hi,
No, I haven't seen any crash lately. I'll pay a closer attention to the download for offline use matter to see what I can find.
Comment 13 Fedora Admin XMLRPC Client 2014-09-04 10:28:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2015-01-09 13:35:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 10:44:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.